Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1423289

Summary: cachefilesd: FTBFS in rawhide
Product: [Fedora] Fedora Reporter: Fedora Release Engineering <releng>
Component: cachefilesdAssignee: David Howells <dhowells>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 26CC: dhowells, steved
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: cachefilesd-0.10.10-1.fc26 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-04-01 17:13:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1423041    
Attachments:
Description Flags
build.log
none
root.log
none
state.log
none
Patch to replace use of readdir_r none

Description Fedora Release Engineering 2017-02-17 03:29:16 UTC
Your package cachefilesd failed to build from source in current rawhide.

https://koji.fedoraproject.org/koji/taskinfo?taskID=17711630

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

Comment 1 Fedora Release Engineering 2017-02-17 03:29:21 UTC
Created attachment 1251621 [details]
build.log

Comment 2 Fedora Release Engineering 2017-02-17 03:29:25 UTC
Created attachment 1251622 [details]
root.log

Comment 3 Fedora Release Engineering 2017-02-17 03:29:28 UTC
Created attachment 1251623 [details]
state.log

Comment 4 Fedora End Of Life 2017-02-28 11:25:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 5 David Howells 2017-03-02 17:19:06 UTC
Created attachment 1259211 [details]
Patch to replace use of readdir_r

Comment 6 Fedora Update System 2017-03-17 16:39:12 UTC
cachefilesd-0.10.10-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ff278bf618

Comment 7 Fedora Update System 2017-03-17 22:23:30 UTC
cachefilesd-0.10.10-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ff278bf618

Comment 8 Fedora Update System 2017-04-01 17:13:19 UTC
cachefilesd-0.10.10-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.